Bug 53400 - Editor resources layer change.
Editor resources layer change.
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
4.x
All All
: P1 (vote)
: 4.x
Assigned To: Dusan Balek
issues@editor
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-14 10:18 UTC by Dusan Balek
Modified: 2009-10-01 14:51 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
Diff to the arch-editor.xml document describing desired changes. (1.41 KB, patch)
2005-01-14 10:20 UTC, Dusan Balek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dusan Balek 2005-01-14 10:18:26 UTC
Modify the side bar components registration part
of the Editor resources layer to allow for
specifying a side bar component appearance. To do
so, two optional attributes are introduced:
"position" (with values "North", "South", "East"
and "West" and boolean "scrollable".

Use case: E.g. an Annotation bar component (being
prepared for download via autoupdate) should be
placed on the editor right side.
Comment 1 Dusan Balek 2005-01-14 10:20:32 UTC
Created attachment 19691 [details]
Diff to the arch-editor.xml document describing desired changes.
Comment 2 Dusan Balek 2005-01-24 15:13:38 UTC
Fixed in [maintrunk].

Checking in StatusBar.java;
/cvs/editor/libsrc/org/netbeans/editor/StatusBar.java,v  <-- 
StatusBar.java
new revision: 1.42; previous revision: 1.41
done
Checking in CustomizableSideBar.java;
/cvs/editor/src/org/netbeans/modules/editor/CustomizableSideBar.java,v
 <--  CustomizableSideBar.java
new revision: 1.4; previous revision: 1.3
done
Checking in NbEditorUI.java;
/cvs/editor/src/org/netbeans/modules/editor/NbEditorUI.java,v  <-- 
NbEditorUI.java
new revision: 1.31; previous revision: 1.30
done
Checking in resources/layer.xml;
/cvs/editor/src/org/netbeans/modules/editor/resources/layer.xml,v  <--
 layer.xml
new revision: 1.66; previous revision: 1.65
done
Comment 3 Marian Mirilovic 2009-10-01 14:49:14 UTC
reopen to fix status and resolution
Comment 4 Marian Mirilovic 2009-10-01 14:51:53 UTC
fix status and resolution


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo